% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gs_mode.R
\name{gs_mode}
\alias{gs_mode}
\title{Most common stratum calculator}
\usage{
gs_mode(rast)
}
\arguments{
\item{rast}{\code{data.table} object. This \code{data.table} where each cell that lies within a larger grid cell is represented as a row. For each row, the variable  \code{grid_id} is the ID of the cell from the coarser grid,  \code{sampled} denotes whether a cell has been sampled,  \code{stratum} defines the stratum each cell lies within, and  \code{raster_index} is a unique value for each cell in the raster.}
}
\value{
Vector of values representing the stratum that occurs most often within a given subset of the raster.
}
\description{
For each cell in the coarse user-defined grid (only specified if \code{cfg_sample_spatial == TRUE}), this function calculates the stratum that occurs most often within each cell.
}
\author{
Forrest R. Stevens, \email{forrest.stevens@louisville.edu}
}

